summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authoryechen3 <[email protected]>2025-04-23 15:49:43 -0700
committerGitHub <[email protected]>2025-04-23 22:49:43 +0000
commitc30043e28dcf3fe4da4973ec3ee461f93a7c4a01 (patch)
treee4ba1a4b1ef26b9124a2b832e6d5b2d6312af72a
parent1c6cd9b95abb211ef0288d4d1aa1c6163d74428c (diff)
Fix for the circular dependency issue (#116)
* Update the AccelSim test script to target the repo specified by the user. * Change the warning for a missing ACCELSIM_REPO environment variable to an error and update workflow file to point to a temperory fix for circular dependency issue * fix the repo name * Change back to use dev branch
-rw-r--r--.github/workflows/accelsim.yml1
-rwxr-xr-xshort-tests-accelsim.sh11
2 files changed, 10 insertions, 2 deletions
diff --git a/.github/workflows/accelsim.yml b/.github/workflows/accelsim.yml
index 39ae46d..ec94317 100644
--- a/.github/workflows/accelsim.yml
+++ b/.github/workflows/accelsim.yml
@@ -15,6 +15,7 @@ on:
# By default regress against accel-sim's dev branch
env:
+ ACCELSIM_REPO: https://github.com/purdue-aalp/accel-sim-framework-public.git
ACCELSIM_BRANCH: dev
# A workflow run is made up of one or more jobs that can run sequentially or in parallel
diff --git a/short-tests-accelsim.sh b/short-tests-accelsim.sh
index 5cb4d2c..b404d4e 100755
--- a/short-tests-accelsim.sh
+++ b/short-tests-accelsim.sh
@@ -8,6 +8,11 @@ if [ ! -n "$ACCELSIM_BRANCH" ]; then
exit 1;
fi
+if [ ! -n "$ACCELSIM_REPO" ]; then
+ echo "ERROR ** set the ACCELSIM_REPO env variable";
+ exit 1;
+fi
+
if [ ! -n "$GPUAPPS_ROOT" ]; then
echo "ERROR ** GPUAPPS_ROOT to a location where the apps have been compiled";
exit 1;
@@ -19,10 +24,12 @@ export PATH=$CUDA_INSTALL_PATH/bin:$PATH
source ./setup_environment
make -j
-git clone https://github.com/accel-sim/accel-sim-framework.git
+git clone $ACCELSIM_REPO
+basename=$(basename $ACCELSIM_REPO)
+filename=${basename%.*}
# Build accel-sim
-cd accel-sim-framework
+cd $filename
git checkout $ACCELSIM_BRANCH
source ./gpu-simulator/setup_environment.sh
make -j -C ./gpu-simulator